
function loguear() {
	cUsu=document.getElementById("usuario").value
	cCla=document.getElementById("clave").value
	const XHR= new XMLHttpRequest();
	XHR.open('POST','../controllers/ventas.php',true);
	XHR.setRequestHeader('Content-type','application/x-www-form-urlencoded');
	XHR.send('accion=0'+'&usuario='+cUsu+'&clave='+cCla)
	XHR.onreadystatechange=function(){
		if(this.readyState==4 && this.status==200){
			var Resp=this.responseText;
			if(Resp!="ERROR"){
				resp_cargarusuarios(Resp);
			}else{
				//mostrar_detalle();
			}
		}
	}
}

function resp_cargarusuarios(ResTex) {
	ResTex='{"Datos":'+ResTex+'}'
	voption="";
	vRol="";
	var oJsonDatos = JSON.parse(ResTex);
	if(oJsonDatos.Datos!="ERROR"){
	    if(ResTex.length>1){
			JsonActividad=ResTex;
			var oJsonDatos = JSON.parse(JsonActividad);
	        var NJsonItem=oJsonDatos.Datos.length;
			RowArray=0;//esto se adiciono nuevo
			for (RowArray=0;RowArray<NJsonItem; RowArray++){
				vRol=oJsonDatos.Datos[RowArray].rol
			}
			location.href="board.html"+"?rol="+vRol;
		}else{
			alert("no hay registros");
    	}
	}	
}